Source: php-defaults
Section: php
Priority: optional
Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Lior Kaplan <kaplan@debian.org>
Standards-Version: 4.5.0.2
Build-Depends: debhelper (>= 10)
Vcs-Git: https://salsa.debian.org/php-team/php-defaults.git
Vcs-Browser: https://salsa.debian.org/php-team/php-defaults

Package: libapache2-mod-php
Architecture: all
Depends: libapache2-mod-php@PHP_VERSION@,
         ${misc:Depends}
Description: server-side, HTML-embedded scripting language (Apache 2 module) (default)
 This package provides the PHP module for the Apache 2 webserver.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 This package is a dependency package, which depends on latest stable
 PHP version (currently @PHP_VERSION@).

Package: libphp-embed
Architecture: all
Depends: libphp@PHP_VERSION@-embed,
         ${misc:Depends}
Description: HTML-embedded scripting language (Embedded SAPI library) (default)
 This package provides the library /usr/lib/libphp.so which can
 be used by application developers to embed PHP scripting functionality.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 This package is a dependency package, which depends on latest stable
 PHP version (currently @PHP_VERSION@).

Package: php
Architecture: all
Depends: php@PHP_VERSION@,
         ${misc:Depends}
Description: server-side, HTML-embedded scripting language (default)
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 This package is a dependency package, which depends on latest stable
 PHP version (currently @PHP_VERSION@).

Package: php-all-dev
Architecture: all
Depends: ${misc:Depends},
         @PHP_DEV_PACKAGES@
Description: package depending on all supported PHP development packages
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific PHP development
 packages.

Package: php-cgi
Architecture: all
Depends: php@PHP_VERSION@-cgi,
         ${misc:Depends}
Description: server-side, HTML-embedded scripting language (CGI binary) (default)
 This package provides the /usr/lib/cgi-bin/php CGI interpreter built
 for use in Apache 2 with mod_actions, or any other CGI httpd that
 supports a similar mechanism.  Note that MOST users probably
 want the php-fpm package that provide FastCGI support.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 This package is a dependency package, which depends on latest stable
 PHP version (currently @PHP_VERSION@).

Package: php-cli
Architecture: all
Depends: php@PHP_VERSION@-cli,
         ${misc:Depends}
Description: command-line interpreter for the PHP scripting language (default)
 This package provides the /usr/bin/php command interpreter, useful for
 testing PHP scripts from a shell or performing general shell scripting tasks.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 This package is a dependency package, which depends on latest stable
 PHP version (currently @PHP_VERSION@).

Package: php-common
Architecture: all
Multi-Arch: foreign
Section: php
Depends: psmisc (>= 22.15-1~),
         ${misc:Depends}
Breaks: php-amqp (<< 1.11.0-4~),
        php-apcu (<< 5.1.21+4.0.11-7~),
        php-ast (<< 1.0.16-4~),
        php-ds (<< 1.4.0-4~),
        php-facedetect (<< 1.1.0-19-g135c72a-10~),
        php-gearman (<< 2.1.0+1.1.2-11~),
        php-gmagick (<< 2.0.6~rc1+1.1.7~rc3-10~),
        php-gnupg (<< 1.5.0-6~),
        php-igbinary (<< 3.2.6+2.0.8-6~),
        php-imagick (<< 3.6.0-4~),
        php-libvirt-php (<< 0.5.5-16~),
        php-lua (<< 2.0.7+1.1.0-13~),
        php-mailparse (<< 3.1.2+2.1.7~dev20160128-7~),
        php-memcache (<< 8.0+4.0.5.2+3.0.9~20170802.e702b5f9+-7~),
        php-memcached (<< 3.1.5+2.2.0-14~),
        php-mongodb (<< 1.12.0+1.9.2+1.7.5-4~),
        php-msgpack (<< 2.2.0~rc1+2.1.2+0.5.7-6~),
        php-mysqlnd-ms (<< 1.6.0+svn333622-15~),
        php-oauth (<< 2.0.7+1.2.3-14~),
        php-pcov (<< 1.0.11-4~),
        php-pecl-http (<< 4.2.1+php8-2~),
        php-ps (<< 1.4.4+1.3.7-6~),
        php-psr (<< 1.2.0-4~),
        php-radius (<< 1.4.0~b1-22~),
        php-raphf (<< 2.0.1+1.1.2-13~),
        php-redis (<< 5.3.5+4.3.0-5~),
        php-rrd (<< 2.0.3+1.1.3-6~),
        php-smbclient (<< 1.0.6-6~),
        php-ssh2 (<< 1.3.1+0.13-6~),
        php-stomp (<< 2.0.2+1.0.9-15~),
        php-tideways (<< 5.0.4-13~),
        php-uopz (<< 7.1.1+6.1.2-5~),
        php-uploadprogress (<< 2.0.2+1.1.4-6~),
        php-uuid (<< 1.2.0-11~),
        php-xdebug (<< 3.1.2+2.9.8+2.8.1+2.5.5-4~),
        php-xmlrpc (<< 3:1.0.0~rc3-4~),
        php-yac (<< 2.3.1+0.9.2-4~),
        php-yaml (<< 2.2.2+2.1.0+2.0.4+1.3.2-5~),
        php-zmq (<< 1.1.3-23~),
        php5.6-common (<< 5.6.18+dfsg-10~),
        php5.6-json (<< 1.3.9-2~),
        php7.0-common (<< 7.0.3-11~),
        @PHP_BREAKS_PACKAGES@
Description: Common files for PHP packages
 This package contains common utilities shared among all packaged PHP
 versions.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php-dev
Architecture: all
Depends: php@PHP_VERSION@-dev,
         ${misc:Depends}
Description: Files for PHP module development (default)
 Headers and other PHP needed for compiling additional modules.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 This package is a dependency package, which depends on latest stable
 PHP version (currently @PHP_VERSION@).

Package: php-fpm
Architecture: all
Depends: php@PHP_VERSION@-fpm,
         ${misc:Depends}
Description: server-side, HTML-embedded scripting language (FPM-CGI binary) (default)
 This package provides the Fast Process Manager interpreter that runs
 as a daemon and receives Fast/CGI requests.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 This package is a dependency package, which depends on latest stable
 PHP version (currently @PHP_VERSION@).

Package: php-phpdbg
Architecture: all
Depends: php@PHP_VERSION@-phpdbg,
         ${misc:Depends}
Description: server-side, HTML-embedded scripting language (PHPDBG binary) (default)
 This package provides the /usr/bin/phpdbg command interpreter, useful for
 stepthrough debugging of PHP code.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 This package is a dependency package, which depends on latest stable
 PHP version (currently @PHP_VERSION@).
